Skip to main content
PUT
Set an app's feature flag

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required
flagName
string
required

Body

application/json
defaultState
enum<string>
required

The state that the flag should have if there are no overrides for a particular portal

Available options:
ABSENT,
OFF,
ON
overrideState
enum<string>

A flag value that supercedes all other overrides, including portal-level values. Mostly used for things like emergency overrides

Available options:
ABSENT,
OFF,
ON

Response

successful operation

appId
integer<int32>
required

The ID of the app

defaultState
enum<string>
required

The flag state for any portal that doesn't have an override value

Available options:
ABSENT,
OFF,
ON
flagName
string
required

The name of the flag

overrideState
enum<string>

An optional flag value that overrides all others for this flag name and app, including portal-level values

Available options:
ABSENT,
OFF,
ON
Last modified on March 30, 2026